unit UTransForm;

interface
uses
  windows, sysutils ;

function RotateXY(dbTheda:double;p1:TPoint):TPoint ;

implementation

function RotateXY(dbTheda:double;p1:TPoint):TPoint ;
const
  _dbLastT:double=-99999.999 ;
  _cosA:double=0.0 ;
  _sinA:double=0.0 ;
var
  dbA : double ;
begin
  if dbTheda<>_dbLastT then
    begin
    dbA:=dbTheda*Pi/180 ;
    _sinA:=sin(dbA) ;
    _cosA:=cos(dbA) ;
    _dbLastT:=dbTheda ;
    end ;

  Result.x:=round(p1.x*_cosA+p1.y*_sinA) ;
  Result.y:=round(-p1.x*_sinA+p1.y*_cosA) ;
end ;

end.
 